# Class: MoneroOutput

## MoneroOutput(state)

Models a Monero transaction output.

## Constructor

#### new MoneroOutput(state)

Construct the model.

##### Parameters:

Name | Type | Description
--- | --- | ---
`state` | MoneroOutput | object | is existing state to initialize from (optional)

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 11

### Methods

#### copy()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 87

#### getAmount()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 51

#### getIndex()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 60

#### getKeyImage()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 41

#### getRingOutputIndices()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 69

#### getStealthPublicKey()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 78

#### getTx()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 32

#### merge()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 99

#### setAmount()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 55

#### setIndex()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 64

#### setKeyImage()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 45

#### setRingOutputIndices()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 73

#### setStealthPublicKey()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 82

#### setTx()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 36

#### toJson()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 91

#### toString()

Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 117